Create Disposition#
Creates a disposition for the signed-in company. The name must be unique in that company (max 150 characters).
Bearer token in the format: Bearer {access_token}
Must be set to application/json
Disposition name
Active, Inactive, or Default. Default turns on the Didn't Answer button
Active, Inactive, or Default. Default turns on Setup Default Option
One of the call status options from Disposition Helpers
Display text color, for example #FFFFFF
Display background color, for example #0000FF
Dropdown text color
Dropdown background color
Base64 role ids from Disposition Helpers. Omit or send [] for no role restriction
Optional GoHighLevel location id
Optional opportunity pipeline id
Optional opportunity stage id. Send both pipeline and stage together
curl --location 'https://app.rizzdial.com/api/disposition' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{bearer_token}}' \
--data '{
"disposition": "Appointment Set",
"status": "Active",
"default_option": "Active",
"call_status": "Answered",
"text_color": "#FFFFFF",
"bg_color": "#0000FF",
"select_text_color": "#FFFFFF",
"select_bg_color": "#66FF00",
"role_view": []
}'true when the disposition was created
Disposition created successfully.
Base64 disposition id. Use this id on the update, delete, and toggle endpoints